# flatpak build-import-bundle

flatpak

Developer
Alexander
Larsson
alexl@redhat.com
flatpak build-import-bundle
1

# flatpak-build-import-bundle

Import a file bundle into a local repository

                    flatpak build-import-bundle
                    OPTION
                    LOCATION
                    FILENAME

## Description

Imports a bundle from a file named FILENAME into the repository at LOCATION.

The format of the bundle file is that generated by build-bundle.

## Options

The following options are understood:

`-h`
`--help`

  Show help options and exit.

`-v`
`--verbose`

  Print debug information during command processing.

`--ostree-verbose`

  Print OSTree debug information during command processing.

`--ref=REF`

  Override the ref specified in the bundle.

`--oci`

  Import an OCI image instead of a Flatpak bundle.

`--update-appstream`

  Update the appstream branch after the build.

`--no-update-summary`

  Don't update the summary file after the new commit is added. This means the repository will not be useful for serving over http until build-update-repo has been run. This is useful is you want to do multiple repo operations before finally updating the summary.

`--gpg-sign=KEYID`

  Sign the commit with this GPG key. This option can be used multiple times.

`--gpg-homedir=PATH`

  GPG Homedir to use when looking for keyrings

## See also

ostree 1, flatpak 1, flatpak-build-bundle 1, flatpak-build-update-repo 1